Skip to main content
PATCH
Update an education

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

Education ID of the education you want to update

resume_id
string
required

Resume ID of the resume the education belongs to. If you want to interact with the base educations, just put base in here

Body

institution_name
string

The name of the institution the user studied at.

Maximum string length: 250
field_of_study
string

The field of study the user studied.

Maximum string length: 250
degree
string | null

The degree the user obtained. (optional)

Maximum string length: 250
started_from_month
integer | null

Month when the education started (1-12).

Required range: 1 <= x <= 12
started_from_year
integer | null

Year when the education started (YYYY).

Required range: 1900 <= x <= 2100
finished_at_month
integer | null

Month when the education was completed (1-12).

Required range: 1 <= x <= 12
finished_at_year
integer | null

Year when the education was completed (YYYY).

Required range: 1900 <= x <= 2100
current
boolean

Whether the user is currently studying. default: False

description
string | null

The description of the education entry. User can provide any kind of description for that user. Usually in HTML format to support rich text. (optional)

Maximum string length: 3000
user
string

The user who the education entry belongs to.

resume_section
string<uuid>

The resume section the education entry belongs to.

country
string | null

The country the institution is located in. (optional)

Response

id
string
required
read-only
user
string
required

The user who the education entry belongs to.

resume_section
string
required
read-only
institution_name
string
required

The name of the institution the user studied at.

Maximum string length: 250
field_of_study
string
required

The field of study the user studied.

Maximum string length: 250
country
string
required
read-only
created_at
string<date-time>
required
read-only

The date and time the education entry was created.

updated_at
string<date-time>
required
read-only

The date and time the education entry was last updated.

degree
string | null

The degree the user obtained. (optional)

Maximum string length: 250
started_from_month
integer | null

Month when the education started (1-12).

Required range: 1 <= x <= 12
started_from_year
integer | null

Year when the education started (YYYY).

Required range: 1900 <= x <= 2100
finished_at_month
integer | null

Month when the education was completed (1-12).

Required range: 1 <= x <= 12
finished_at_year
integer | null

Year when the education was completed (YYYY).

Required range: 1900 <= x <= 2100
current
boolean

Whether the user is currently studying. default: False

description
string | null

The description of the education entry. User can provide any kind of description for that user. Usually in HTML format to support rich text. (optional)

Maximum string length: 3000